gam.check {mgcv} | R Documentation

## Some diagnostics for a fitted gam model

### Description

Takes a fitted `gam` object produced by `gam()` and produces some diagnostic information about the fitting procedure and results. The default is to produce 4 residual plots, and some information about the convergence of the smoothness selection optimization.

### Usage

    gam.check(b)

### Arguments

`b` | a fitted `gam` object as produced by `gam()`.

### Details

This function plots 4 standard diagnostic plots, and some other convergence diagnostics. Usually the 4 plots are various residual plots. The printed information relates to the optimization used to select smoothing parameters. For the default optimization methods the information is summarized in a readable way, but for other optimization methods, whatever is returned by way of convergence diagnostics is simply printed.

### Author(s)

Simon N. Wood simon.wood@r-project.org

### References

Wood S.N. (2006) Generalized Additive Models: An Introduction with R. Chapman and Hall/CRC Press.

http://www.maths.bath.ac.uk/~sw283/

### See Also

`choose.k`, `gam`, `mgcv`, `magic`

### Examples

    library(mgcv)
    set.seed(0)
    dat <- gamSim(1,n=200)
    b<-gam(y~s(x0)+s(x1)+s(x2)+s(x3),data=dat)
    plot(b,pages=1)
    gam.check(b)

[Package mgcv version 1.4-0 Index]